Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Interface CharChunk.CharInputChannel

All Known Implementing Classes:
  InputBuffer

Enclosing class:
  CharChunk

    public static interface CharChunk.CharInputChannel

Method Summary
`int` | `realReadChars(char[] cbuf, int off, int len)` Read new bytes ( usually the internal conversion buffer ).

Method Detail

### realReadChars

    int realReadChars(char[] cbuf,
                      int off,
                      int len)
                      throws java.io.IOException

  Read new bytes ( usually the internal conversion buffer ). The implementation is allowed to ignore the parameters, and mutate the chunk if it wishes to implement its own buffering.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.